////////////////////////////////////////////////////////////////////
//
//  Tutorial uso di MySql con driver ODBC della actual technologies
//
//  Created by Francesco Germinara 
// 
//  Freeware (c) 2005 SofTech di F.Germinara - www.germinara.it. 
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////

#import "gstregaliapp.h"

@implementation gstregaliapp

//Applicazione  stata lanciata
- (void)applicationDidFinishLaunching:(NSNotification *)aNotification{
    NSLog(@"Try to open ODBC connection");
	//Open  ODBC Connection
	m_DB=[[FGODBCConnection alloc]init];
	//[m_DB Open:@"DSN=DBREG;UID=root;PWD="]; //ERROR!!! //DBREGALI2005 is the ODBC connection name previous create with iODBC
	[m_DB Open:@"DSN=DBREGALI2005;UID=root;PWD="]; //DBREGALI2005 is the ODBC connection name previous create with iODBC
	
	//Create record Object for manage table data 
	pTabPersone=[[FGODBCRecord alloc] initWithDataBase:m_DB forSQLTable:@"PERSONE"];
	pTabRegali=[[FGODBCRecord alloc] initWithDataBase:m_DB forSQLTable:@"REGALI"];
	pTabRicorrenze=[[FGODBCRecord alloc] initWithDataBase:m_DB forSQLTable:@"RICORRENZE"];
	pTabStoricoRegali=[[FGODBCRecord alloc] initWithDataBase:m_DB forSQLTable:@"STORICOREGALI"];
}

//Prima di chiudere l'applicazione
- (void)applicationWillTerminate:(NSNotification *)aNotification{

 //Close recordset and release memory object
 [pTabPersone CloseCursor];
 [pTabPersone release];
 [pTabRegali CloseCursor];
 [pTabRegali release];
 [pTabRicorrenze CloseCursor];
 [pTabRicorrenze release];
 [pTabStoricoRegali CloseCursor];
 [pTabStoricoRegali release];


 NSLog(@"Try to close ODBC connection");
 [m_DB Close];   //Close the ODBC connection 
 [m_DB release]; //Release memory of object
} 

@end
