////////////////////////////////////////////////////////////////////
//
//  Tutorial uso di MySql con driver ODBC della actual technologies
//
//  Created by Francesco Germinara 
// 
//  Freeware (c) 2005 SofTech di F.Germinara - www.germinara.it. 
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////

/* panelElencoPersoneRegaliController */

#import <Cocoa/Cocoa.h>
#import <gstregaliapp.h>
#import "FGODBCResultSet.h"
#import "panelMovimentiController.h"

@interface panelElencoPersoneRegaliController : NSObject
{
    IBOutlet NSTableView *elencoPersone;
    IBOutlet NSTableView *elencoRegali;
    IBOutlet NSDrawer *rightDrawer;
    IBOutlet NSTabView *tabCtrl;
    IBOutlet gstregaliapp *theApp;
    IBOutlet panelMovimentiController *panelMovimenti;	
	
    //DATASOURCE for NSTableView
	FGODBCResultSet *dsPersone; //DataSource PERSONE
	
    //DATASOURCE for NSTableView
	FGODBCResultSet *dsRegali; //DataSource REGALI
	
}

-(void) startUseDataSource; //Start using internal datasource for tableview

//Double click action
-(void)loadSelectedData;

@end
