////////////////////////////////////////////////////////////////////
//
//  FGODBCFieldInfo.h
//  
//
//  Created by Francesco Germinara on Mon Jun 07 2004.
// 
//  Copyright (c) 2004 SofTech di F.Germinara - www.germinara.it. All rights reserved.
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////


#import <Foundation/Foundation.h>

//IODBC FrameWork
#include <iODBC/sql.h>

@interface FGODBCFieldInfo : NSObject {
 
 SWORD  nSQLType;     //Field Type
 UDWORD nPrecision;   //Precision 
 SWORD  nScale;       //Scale
 SWORD  nNullability; //Can be Null ?
 int nLenght;         //Length of CHAR o VARCHAR field
 int nCol;            //Col
@public
 NSString *strValue; //Value of the field
 NSString *name;      //Field name
}

-(void)SetValues:(NSString *) strName forType:(SWORD) nType  forPrecision:(UDWORD) nSQLPrecision forScale:(SWORD) nSQLScale  forNullability:(SWORD) nSQLNullability forCol:(int)nSQLcol; //Set Object value
-(NSString *) name; //Return Field Name
-(int) length;      //Return Field Length
-(int) ColNum; //Return Col
-(int) Type;//return Type
-(int) Precision; //Return precision
-(int) Scale; //Return Scale
-(int) Nullability; //Return Nullability
-(void) SetValue:(NSString *) strNewValore; //set the new value
-(NSString *) GetValue; //Get The Value
-(NSString *) GetValueForUpdateSQL; //Get The Translate Value for SQL update

@end
